<?php
/**
 *  Guojiz网址导航系统
 *	www.guojiz.com
 *  作者：梦雨
 *  @ QQ50361804
 */
namespace app\admin\controller;

use think\Controller;
use app\admin\model\Wangcate as WangcateModel;
class Wangcate extends Common
{
    protected $beforeActionList = ['delsoncate' => ['only' => 'dels']];
    public function index()
    {
        die(config('web.sq'));
        
    }
    public function add()
    {
        return $this->error(config('web.sq'));
        returnhtml();
        return view();
    }
    public function edit()
    {
        return $this->error(config('web.sq'));
        returnhtml();
        return view();
    }
    public function dels()
    {
        if (config(pa('NP6ZgJozVhyuF')) != pa('K7Q03OgSv')) {
            return $this->error(config('web.sq'));
        } else {
            $dels = db('wangcate')->delete(input('id'));
            if ($dels) {
                return json(array('code' => 200, 'msg' => '删除成功'));
            } else {
                return json(array('code' => 0, 'msg' => '删除失败'));
            }
        }
    }
    public function delsoncate()
    {
        return $this->error(config('web.sq'));
    }
    public function changeshow()
    {
        return $this->error(config('web.sq'));
    }
    public function changesidebar()
    {
        return $this->error(config('web.sq'));
    }
}